Bug 1268289 - terminator keybindings not working (e.g. CTRL+SHIFT+O/E/C/V)
terminator keybindings not working (e.g. CTRL+SHIFT+O/E/C/V)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 08:43 EDT by Marco Driusso
Modified: 2015-11-12 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: terminator-0.98-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 18:30:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch extracted from upstream fix to LP#1494606 (4.81 KB, patch)
2015-10-10 09:49 EDT, Marco Driusso
no flags Details | Diff
spec updated to use patch (7.25 KB, text/x-matlab)
2015-10-10 09:58 EDT, Marco Driusso
no flags Details

  None (edit)
Description Marco Driusso 2015-10-02 08:43:04 EDT
Description of problem:
After update to version 0.98, fundamental keybindings such as CTRL+SHIFT+O/E/C/V (i.e. split horiz/vert, copy, paste) are not working.

Version-Release number of selected component (if applicable):
Name        : terminator
Arch        : noarch
Epoch       : 0
Version     : 0.98
Release     : 1.fc22

How reproducible:
Run terminator (either from another terminal emulator or from GNOME), press e.g. CTRL+SHIFT+O

Actual results:
^O appears in the terminal, and no action is executed.

Expected results:
Action corresponding to the keybinding should be executed, without outputs in the terminal.

Additional info:
Find below the debug output when running terminator with the -d option and pressing CTRL+SHIFT+O/E/C/V . Terminator seems to recognize the corresponding action, but nothing happens.

Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16400
Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16404
Window::on_key_press: Window::on_key_press: looked up 'split_horiz'
Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16405
Window::on_key_press: Window::on_key_press: looked up 'split_vert'
Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16405
Window::on_key_press: Window::on_key_press: looked up 'copy'
Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16405
ConfigBase::get_item: ConfigBase::get_item: title_hide_sizetext found in globals: True
ConfigBase::get_item: ConfigBase::get_item: title_use_system_font found in globals: True
Window::on_key_press: Window::on_key_press: looked up 'paste'
Terminal::on_keypress: Terminal::on_keypress: Ingore processed event with event.state 16405

Downgrade to previous version of terminator solves the issue:
Name        : terminator
Arch        : noarch
Epoch       : 0
Version     : 0.97
Release     : 6.fc21
Comment 1 Marco Driusso 2015-10-05 07:49:39 EDT
I noticed that the above bug appear only after switching keyboard layout in GNOME. E.g., if I login with keyboard layout set to en_US and try terminator, keybindings work, but as soon as I switch to en_UK, terminator keybindings stop working, as described above. This happens also with other layout combinations, e.g. if I login with keyboard layout en_UK, terminator works until I switch to en_US.
Comment 2 Marco Driusso 2015-10-05 08:15:36 EDT
This is a bug in upstream. They committed a fix:
https://bugs.launchpad.net/terminator/+bug/1494606
Comment 3 Marco Driusso 2015-10-10 09:49 EDT
Created attachment 1081645 [details]
Patch extracted from upstream fix to LP#1494606

I extracted the attached patch from the upstream fix to LP#1494606 as diff between v0.98 source and r1647 of lp:terminator branch (excluding all *.po files). 'python-psutil' has to be added as a dependency.
Comment 4 Marco Driusso 2015-10-10 09:58 EDT
Created attachment 1081646 [details]
spec updated to use patch

spec file updated to use proposed patch, including added 'Requires: python-psutil'
Comment 5 Marco Driusso 2015-10-10 11:27:59 EDT
Here a scratch build with patch applied, if anyone interested in testing it -> http://koji.fedoraproject.org/koji/taskinfo?taskID=11399146
Comment 6 Fedora Update System 2015-10-14 16:09:30 EDT
terminator-0.98-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f07e3fbbd
Comment 7 Fedora Update System 2015-10-15 01:51:32 EDT
terminator-0.98-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update terminator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bedd6e48c5
Comment 8 Fedora Update System 2015-10-15 16:54:21 EDT
terminator-0.98-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update terminator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2f07e3fbbd
Comment 9 Fedora Update System 2015-11-12 18:30:10 EST
terminator-0.98-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.